Name:		bookworm
Version:	1.1.1
Release:	%mkrel 3
Summary:	A simple E-book reader
License:	GPLv3+
Group:		Office
URL:		https://babluboy.github.io/bookworm
Source:		https://github.com/babluboy/bookworm/archive/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	imagemagick
BuildRequires:	vala
BuildRequires:	lib64gee-devel
BuildRequires:	lib64granite-devel
BuildRequires:	lib64gtk+3.0-devel
BuildRequires:	lib64poppler-glib-devel
BuildRequires:	lib64sqlite3-devel
BuildRequires:	lib64webkit2-devel
# Check list of dependencies
BuildRequires:	html2text
BuildRequires:	poppler

Requires:	contractor
Requires:	html2text
Requires:	poppler
Recommends:	unrar
Recommends:	unzip

%description
An eBook reader for PCLinuxOS.

It uses poppler for decoding and read formats like EPUB, PDF, mobi, cbr, etc.

%prep
%setup -q

chmod -x AUTHORS

%build
%cmake \
    -DGSETTINGS_COMPILE=OFF

%make_build

%install
%make_install -C build

# remove executable flags
find %{buildroot} -name \*.txt -exec chmod 0644 {} +

#symlink this to a common name in case started in terminal
ln -fs %{_bindir}/com.github.babluboy.%{name} %{buildroot}/%{_bindir}/%{name}


%find_lang com.github.babluboy.bookworm && cat com.github.babluboy.bookworm.lang >> %{name}.lang

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/com.github.babluboy.%{name}
%{_datadir}/applications/com.github.babluboy.%{name}.desktop
%{_datadir}/glib-2.0/schemas/com.github.babluboy.%{name}.gschema.xml
%{_iconsdir}/hicolor/*/apps/*%{name}*.??g
%{_datadir}/metainfo/com.github.babluboy.%{name}.appdata.xml
%{_datadir}/%{name}/
%{_datadir}/contractor/com.github.babluboy.%{name}.contract

%post
glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
glib-compile-schemas /usr/share/glib-2.0/schemas


%changelog
* Fri Nov 17 2023 tex - 1.1.1-3pclos2023
- rebuild against updates

* Thu Jun 27 2019 tex - 1.1.1-2pclos2019
- change description
- rpm group to office

* Thu Jun 27 2019 pp <pp> 1.1.1-1pclos2019
- imported package
